"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.collectBy = void 0;
/**
 * Collect an an array of objects by string key
 * cred: gh:uniqname
 * @example
 * const data = [ { foo: 'a', bar: 'baz' }, { foo: 'b', bar: 'quux' }, { foo: 'a', bar: 'whatever' } ]
 * collectBy('foo')(data) // => { a: { foo: 'a', bar: 'whatever' }, b: { foo: 'b', bar: 'quux' } }
 */
const collectBy = (p) => (a) => a.reduce((c, i) => ({
    ...c, [i[p]]: i,
}), {});
exports.collectBy = collectBy;
