/**
 * Right to left composition
 * @example
 * const addOne = (a) => a + 1
 * const timesTwo = (a) => a * 2
 * compose(addOne, timesTwo)(2) // => 5
 */
export declare const compose: <T>(...fns: Array<(t: T) => T>) => ((t: T) => T);
