"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compose = void 0;
const pipe_1 = require("./pipe");
/**
 * Right to left composition
 * @example
 * const addOne = (a) => a + 1
 * const timesTwo = (a) => a * 2
 * compose(addOne, timesTwo)(2) // => 5
 */
const compose = (...fns) => (0, pipe_1.pipe)(...[...fns].reverse());
exports.compose = compose;
