type F = (...args: any[]) => any;
/**
 * Takes a function and returns a function that takes
 * any number of arguments
 *
 * Produces a curried function
 * @example
 * const addThree = (a, b, c) => a + b + c
 * curry(addThree)(1)(1)(1) // => 3
 */
export declare function curry<T>(fn: F): F;
export {};
