"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.debounce = void 0;
/**
 * Simple debounce
 * @example
 * debounce(() => console.log('hi'), 5000)
 */
const debounce = (fn, ms) => {
    let timeout;
    return (...args) => {
        // eslint-disable-next-line @typescript-eslint/no-this-alias
        const context = this;
        const later = () => {
            timeout = null;
            fn.apply(context, args);
        };
        if (timeout) {
            clearTimeout(timeout);
        }
        timeout = setTimeout(later, ms);
        return timeout;
    };
};
exports.debounce = debounce;
