"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.dropWhile = void 0;
const span_1 = require("./span");
/**
 * The opposite of `takeWhile`:
 * takes a predicate and array and returns an
 * array of the elements that didn't pass the predicate
 * @example
 * dropWhile(lessThanThree, [ 1, 2, 3, 4 ]) // => [ 3, 4 ]
 */
const dropWhile = (pred, arr) => (0, span_1.span)(pred, arr)[1] || [];
exports.dropWhile = dropWhile;
