"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fileExists = void 0;
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
/**
 * Returns bool based on if passed path exists
 * @example
 * await fileExists('./foo') // => Promise<true>
 */
const fileExists = async (filePath) => {
    try {
        await (0, promises_1.stat)((0, node_path_1.resolve)(filePath));
        return true;
    }
    catch {
        return false;
    }
};
exports.fileExists = fileExists;
