"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filter = void 0;
const each_1 = require("./each");
/**
 * `filter` for array and object
 * @example
 * filter(id, [ 1, 2 ]) // => [ 1, 2 ]
 * filter(lessThanThree, [ 1, 2, 3, 4 ]) // => [ 1, 2 ]
 * filter(lessThanThree, { a: 1, b: 4 }) // =>  { a: 1 }
 */
const filter = (fn, list) => {
    const isArr = Array.isArray(list);
    const filtered = isArr ? [] : {};
    // @ts-expect-error this is fine
    (0, each_1.each)(list, (item, index) => {
        if (fn(item, index)) {
            const idx = isArr ? filtered.length : index;
            // @ts-expect-error this is fine
            filtered[idx] = item;
        }
    });
    return filtered;
};
exports.filter = filter;
