"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFreeDisk = void 0;
const node_child_process_1 = require("node:child_process");
/**
 * Get free disk space
 * @example
 * getFreeDisk()
 */
const getFreeDisk = () => {
    const lines = (0, node_child_process_1.execSync)('df -k /').toString().trim().split('\n');
    const strDiskInfo = lines[lines.length - 1].replace(/\s+/g, ' ');
    const diskInfo = strDiskInfo.split(' ');
    const total = +diskInfo[1] * 1024;
    const free = +diskInfo[3] * 1024;
    const freeDisk = free / total / Math.pow(10, -2);
    return freeDisk;
};
exports.getFreeDisk = getFreeDisk;
