"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHashFromSystem = void 0;
const node_os_1 = require("node:os");
const node_crypto_1 = require("node:crypto");
/**
 * Get a md5 hash based on hostname, process.ppid, and date
 * @example
 * getHashFromSystem()
 */
const getHashFromSystem = () => {
    const p = [(0, node_os_1.hostname)(), process.pid, +(new Date())];
    const h = (0, node_crypto_1.createHash)('md5').update(p.join(''));
    return h.digest('hex');
};
exports.getHashFromSystem = getHashFromSystem;
