"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProjectRoot = void 0;
const node_fs_1 = require("node:fs");
const node_path_1 = require("node:path");
/**
 * Get project root
 * @example
 * getProjectRoot() // /path/to/project
 */
const getProjectRoot = () => {
    const mainFileName = require.main ? require.main.filename : __dirname;
    if (mainFileName.indexOf('node_modules') > 0) {
        return mainFileName.split('/node_modules')[0];
    }
    let currentPath = (0, node_path_1.join)(mainFileName, '../');
    let result = '';
    while (currentPath !== '/') {
        if ((0, node_fs_1.existsSync)(currentPath + '/package.json')) {
            result = currentPath;
            break;
        }
        currentPath = (0, node_path_1.resolve)(currentPath, '../');
    }
    return result;
};
exports.getProjectRoot = getProjectRoot;
