"use strict";
/**
 * Returns the flags for a given regular expression
 * @example
 * getRegexFlags(/foo/ig) // => [ 'g', 'i' ]
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRegexFlags = void 0;
const getRegexFlags = (r) => {
    const flags = [];
    if (r.global)
        flags.push('g');
    if (r.ignoreCase)
        flags.push('i');
    if (r.multiline)
        flags.push('m');
    if (r.unicode)
        flags.push('u');
    if (r.sticky)
        flags.push('y');
    return flags;
};
exports.getRegexFlags = getRegexFlags;
