"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUserHome = void 0;
const node_os_1 = require("node:os");
const env = process?.env ?? {};
/**
 * Get current user's home directory
 * @example
 * getUserHome() // => /home/z
 */
const getUserHome = () => {
    const e = env;
    return e.HOME ??
        e.USERPROFILE ??
        (0, node_os_1.homedir)() ??
        (e.HOMEDRIVE && e.HOMEPATH && e.HOMEDRIVE + e.HOMEPATH) ??
        '';
};
exports.getUserHome = getUserHome;
