"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasColor = void 0;
const isWin = () => process.platform === 'win32';
const isColor = () => {
    const termColor = /^screen|^xterm|^vt100|color|ansi|cygwin|linux/i;
    return !!process.env.COLORTERM ?? termColor.test(process.env.TERM ?? '');
};
/**
 * Returns true if the current terminal supports color
 * @example
 * hasColor()
 */
const hasColor = () => isWin() ?? isColor();
exports.hasColor = hasColor;
