"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isArrayLike = void 0;
const is_number_1 = require("./is-number");
/**
 * Returns true if the passed value is array-like
 * @example
 * isArrayLike({}) // => false
 * isArrayLike([ 1, 2 ]) // => true
 */
const isArrayLike = (v) => {
    if (v?.length != null) {
        return (0, is_number_1.isNumber)(v.length);
    }
    return false;
};
exports.isArrayLike = isArrayLike;
