"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isBetween = void 0;
const lesser_1 = require("./lesser");
const greater_1 = require("./greater");
/**
 * Returns true if the last parameter is before the first and second parameters
 * @example
 * isBetween(1, 3, 2) // => true
 * isBetween(2, 1, 2) // => false
 */
const isBetween = (a, b, mid) => {
    const first = (0, lesser_1.lesser)(a, b);
    const last = (0, greater_1.greater)(a, b);
    return first < mid && last > mid;
};
exports.isBetween = isBetween;
