"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDirectory = void 0;
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
/**
 * Returns true if the path is a directory
 * @example
 * await isDirectory('.') // => true
 * await isDirectory('./fake-path') // => false
 */
const isDirectory = async (filePath) => {
    try {
        const s = await (0, promises_1.stat)((0, node_path_1.resolve)(filePath));
        return s.isDirectory();
    }
    catch {
        return false;
    }
};
exports.isDirectory = isDirectory;
