"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEmpty = void 0;
const len_1 = require("./len");
const is_null_or_undefined_1 = require("./is-null-or-undefined");
const mzero_1 = require("./mzero");
/**
 * Returns true if the value is empty
 * @example
 * isEmpty('') // => true
 * isEmpty({}) // => true
 * isEmpty([]) // => true
 * isEmpty(null) // => true
 */
const isEmpty = (v) => (0, is_null_or_undefined_1.isNullOrUndefined)(v) || (0, len_1.len)(v) === 0 || !v || (0, mzero_1.mzero)(v) === v;
exports.isEmpty = isEmpty;
