"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFile = void 0;
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
/**
 * Returns true if the path is a file
 * @example
 * isFile('./README.md') // => true
 * isFile('.') // => false
 */
const isFile = async (filePath) => {
    try {
        const f = await (0, promises_1.stat)((0, node_path_1.resolve)(filePath));
        return f.isFile();
    }
    catch {
        return false;
    }
};
exports.isFile = isFile;
