"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSymLink = void 0;
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
/**
 * Returns true if path is a symlink
 * @example
 * isSymLink('.') // => false
 */
const isSymLink = async (filePath) => {
    try {
        const l = await (0, promises_1.lstat)((0, node_path_1.resolve)(filePath));
        return l.isSymbolicLink();
    }
    catch {
        return false;
    }
};
exports.isSymLink = isSymLink;
