"use strict";
/**
 * Lighten or darken a color
 * @example
 * // lighten
 * const newCol = lightenOrDarken('#F06D06', 20)
 * // darken
 * const newCol = lightenOrDarken('#F06D06', -20)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.lightenOrDarken = void 0;
const lightenOrDarken = (col, amt) => {
    const useHash = col[0] === '#';
    const c = useHash ? col.slice(1) : col;
    const num = parseInt(c, 16);
    let r = (num >> 16) + amt;
    let b = ((num >> 8) & 0x00FF) + amt;
    let g = (num & 0x0000FF) + amt;
    if (r > 255) {
        r = 255;
    }
    else if (r < 0) {
        r = 0;
    }
    if (b > 255) {
        b = 255;
    }
    else if (b < 0) {
        b = 0;
    }
    if (g > 255) {
        g = 255;
    }
    else if (g < 0) {
        g = 0;
    }
    return (useHash ? '#' : '') + (g | (b << 8) | (r << 16)).toString(16);
};
exports.lightenOrDarken = lightenOrDarken;
