"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapObject = void 0;
/**
 * Map for objects
 * @example
 * const f = (a) => a + ' world'
 * const d = { a: 'hello', b: 'sup' }
 * mapObject(f, d) // => { a: 'hello world', b: 'sup world' }
 */
const mapObject = (f, o, ctx = this) => {
    const res = {};
    Object.keys(o).forEach((k) => {
        res[k] = f.call(ctx, o[k], k, o);
    });
    return res;
};
exports.mapObject = mapObject;
