"use strict";
/**
 * A simple memoizing util
 * @example
 * memoize((a) => a) // => [Function]
 * memoize((a) => a)(1) // => 1
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.memoize = void 0;
const memoize = (fn) => {
    const results = new Map();
    return (...args) => {
        const key = args.toString();
        if (!results.get(key)) {
            results.set(key, fn(...args));
        }
        return results.get(key);
    };
};
exports.memoize = memoize;
