"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mzero = void 0;
const type_of_1 = require("./type-of");
/**
 * Get monadic empty/zero value for a type
 * @example
 * mzero(1) // =>
 * mzero([1]) // => []
 */
const mzero = (v) => {
    switch ((0, type_of_1.typeOf)(v)) {
        case 'null': return null;
        case 'array': return [];
        // eslint-disable-next-line prefer-regex-literals
        case 'regexp': return new RegExp('');
        case 'date': return new Date();
        case 'object': return {};
        case 'number': return 0;
        case 'string': return '';
        case 'map': return new Map();
        case 'set': return new Set();
        case 'bigint': return BigInt(0);
    }
    return undefined;
};
exports.mzero = mzero;
