/**
 * Only calls fn once; subsequent calls just return first val
 * @example
 * const o = once(id)
 * o(1) // => 1
 * o() // => 1
 * o(2) // => 1
 */
export declare const once: <U>(fn: <T>(...args: T[]) => T) => (...args: U[]) => U;
