"use strict";
/**
 * Only calls fn once; subsequent calls just return first val
 * @example
 * const o = once(id)
 * o(1) // => 1
 * o() // => 1
 * o(2) // => 1
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.once = void 0;
const once = (fn) => {
    let returnValue;
    return (...args) => {
        if (!returnValue) {
            returnValue = fn(...args);
        }
        return returnValue;
    };
};
exports.once = once;
