"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pipe = void 0;
const reduce_1 = require("./reduce");
/**
 * Left to right composition
 * @example
 * const addOne = (a) => a + 1
 * const timesTwo = (a) => a * 2
 * pipe(addOne, timesTwo)(2) // => 6
 */
const pipe = (...fns) => (data) => (0, reduce_1.reduce)((v, fn) => fn(v), data, fns);
exports.pipe = pipe;
