"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prompt = void 0;
const promises_1 = require("node:readline/promises");
/**
 * Create a simple prompt for the terminal
 *
 * @example
 * const answer = await prompt('Do the thing')
 * if (answer.toLowercase() === 'y') { doTheThing() }
 */
const prompt = async (question) => {
    const rl = (0, promises_1.createInterface)({
        input: process.stdin,
        output: process.stdout,
    });
    const answer = await rl.question(question);
    return answer;
};
exports.prompt = prompt;
