"use strict";
/**
 * Reduce
 * @example
 * reduce((a, b) => a + b, 0, [ 1, 2, 3, 4 ]) // => 10
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.reduce = void 0;
const reduce = (fn, initialValue, data) => {
    let reducedValue = initialValue;
    for (let i = 0; i < data.length; i++) {
        reducedValue = fn(reducedValue, data[i]);
    }
    return reducedValue;
};
exports.reduce = reduce;
