"use strict";
/**
 * The same as what's in Node's `module` (see `lib/internal/module`).
 * Remove byte order marker. This catches EF BB BF (the UTF-8 BOM)
 * because the buffer-to-string conversion in `fs.readFileSync()`
 * translates it to FEFF, the UTF-16 BOM.
 * @example
 * removeBOM(someContent)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeBOM = void 0;
const removeBOM = (content) => content.charCodeAt(0) === 0xfe_ff ? content.slice(1) : content;
exports.removeBOM = removeBOM;
