"use strict";
/**
 * Takes a sort fn and an array
 *
 * Returns a sorted array
 * @example
 * const list = [ { id: 1 }, { id: 3 }, { id: 2 } ]
 * sortBy(({ id }) => id, list) // => [ { id: 1 }, { id: 2 }, { id: 3 } ]
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortBy = void 0;
const sortBy = (f, xs) => xs.slice().sort((a, b) => f(a) - f(b));
exports.sortBy = sortBy;
