"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortObject = void 0;
const is_object_1 = require("./is-object");
/**
 * Sort an object (recursively)
 * @example
 * sortObject({ b: 'c', a: 'd' }) // => { a: 'd', b: 'c' }
 */
const sortObject = (o) => {
    if (!(0, is_object_1.isObject)(o))
        throw new Error('Expected an object');
    const ks = Object.keys(o);
    ks.sort();
    const vals = [];
    for (let i = 0; i < ks.length; i++) {
        const k = ks[i];
        const v = o[k];
        vals.push([k, (0, is_object_1.isObject)(v) ? (0, exports.sortObject)(v) : v]);
    }
    return Object.fromEntries(vals);
};
exports.sortObject = sortObject;
