"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.span = void 0;
const take_while_1 = require("./take-while");
/**
 * Similar to `takeWhile`: returns a tuple
 * of all elements that pass predicate
 * and all elements that did not
 * @example
 * span(lessThanThree, [ 1, 2, 3, 4 ]) // => [ [ 1, 2 ], [ 3, 4 ] ]
 */
const span = (pred, arr) => {
    const sat = (0, take_while_1.takeWhile)(pred, arr);
    return [sat, arr.slice(sat.length)];
};
exports.span = span;
