"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitAt = void 0;
const take_1 = require("./take");
const drop_1 = require("./drop");
/**
 * Like Haskell's `splitAt`
 *
 * splitAt n xs returns a tuple xs prefix of length n
 * and second element is remainder of list
 * @example
 * splitAt(1, [ [ 'a', 'b' ], 'c' ]) // => [ [ [ 'a', 'b' ] ], [ 'c' ] ]
 */
const splitAt = (num, arr) => [(0, take_1.take)(num, arr), (0, drop_1.drop)(num, arr)];
exports.splitAt = splitAt;
