import { type AnyMap } from './types';
type Listener = (a: AnyMap, b: AnyMap) => any;
type Updater = (a: AnyMap) => AnyMap;
interface Store {
    subscribe: (l: Listener) => void;
    unsubscribe: (l: Listener) => void;
    update: (n: AnyMap | Updater) => void;
}
/**
 * A very simple store implementation (think Redux-like)
 * @example
 * const state = store()
 * state.subscribe((next, prev) => next.foo)
 * state.update({ foo: 'bar' })
 */
export declare const store: (state?: AnyMap) => Store;
export {};
