"use strict";
/**
 * Returns elements that pass predicate,
 * until failure (ignores matches after failure)
 * @example
 * takeWhile((x) => x < 3, [ 1, 2, 3, 4 ]) // => [ 1, 2 ]
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.takeWhile = void 0;
const takeWhile = (pred, arr) => {
    let stop = arr.length;
    arr.some((n, idx) => pred(n, idx) ? false : ((stop = idx), true));
    return arr.slice(0, stop);
};
exports.takeWhile = takeWhile;
