"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.touch = void 0;
const promises_1 = require("node:fs/promises");
const node_path_1 = require("node:path");
/**
 * Make a file if it doesn't exist already
 * @example
 * touch('foo.txt')
 * touch('foo.txt', 'contentx')
 */
const touch = async (filePath, contents = '') => {
    const fl = (0, node_path_1.resolve)(filePath);
    try {
        await (0, promises_1.stat)(fl);
    }
    catch {
        await (0, promises_1.writeFile)(fl, contents);
    }
};
exports.touch = touch;
