"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.watch = void 0;
const node_fs_1 = require("node:fs");
const node_path_1 = require("node:path");
/**
 * Watch a file for changes, and call the function
 * @example
 * watch('./foo', console.log)
 */
const watch = (filePath, cb) => {
    const file = (0, node_path_1.resolve)(filePath);
    try {
        (0, node_fs_1.watch)(file, cb);
    }
    catch (e) {
        if (e.code === 'ENOENT') {
            console.error('Error, no such file', file);
        }
        else {
            console.error(e);
        }
    }
};
exports.watch = watch;
