"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeJson = void 0;
const promises_1 = require("node:fs/promises");
/**
 * Write JSON from a stringifiable value
 * @example
 * await writeJson('foo.json', someObject, 4)
 */
const writeJson = async (path, data, indent) => {
    const json = JSON.stringify(data, null, indent);
    await (0, promises_1.writeFile)(path, json);
};
exports.writeJson = writeJson;
